REST API
Get a webhook
Returns endpoint settings and health, without its signing secret.
Required scopes: webhooks:manage
AuthorizationBearer <token>
In: header
Path Parameters
webhookId*string
Webhook id, scoped to the key's user.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "pausedAt": null, "failureStreak": 0, "id": "4e5f6a7b-8c9d-4e0f-9a1b-2c3d4e5f6a7b", "url": "https://hooks.example.com/workroad", "events": [ "job.succeeded", "job.failed" ], "createdAt": "2026-01-15T09:30:00.000Z", "status": "active", "failingSince": null, "disabledAt": null, "lastDeliveryAt": "2026-02-01T12:00:00.000Z", "lastStatus": 200 }}